Bug 9143 - zvtterm xterm emulation bugs + patch
zvtterm xterm emulation bugs + patch
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-05 08:19 EST by Hans de Goede
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 10:25:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gendiff patch to fix the described problems (2.76 KB, patch)
2000-02-05 08:20 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2000-02-05 08:19:47 EST
gnome-terminal claims to be an xterm emulator, for this the zvtterm xterm
emulator widget is used.

This widget has the following problems:
-home, end & del don't match terminfo/termcap nor do the match
 xterm/rxvt/Eterm/konsole. Try for example mc.
-F1-F4 send VT100 style esc-sequences, this doesn't match terminfo/termcap
 nor does it match xterm/rxvt/konsole/Eterm. Try for example F1 in vim or
 ntsysv.
-* and / on the keypad don't honor application keypad mode. See for
 example options->learnkeys in mc.

The attached patch fixes these problems , and adds:
-shift F1-F10 send F11-F20 just like xterm,rxvt & Eterm.

These fixes bring gnome-terminal on par with the fixes done to the other
terminal emulators in RH to get error free keybindings in RH6.2
Comment 1 Hans de Goede 2000-02-05 08:20:59 EST
Created attachment 95 [details]
gendiff patch to fix the described problems
Comment 2 Bernhard Rosenkraenzer 2000-02-10 10:25:59 EST
Thanks, fixed.

Note You need to log in before you can comment on or make changes to this bug.